> For the complete documentation index, see [llms.txt](https://docs.gapvelocity.ai/blazor-ai-migrator/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gapvelocity.ai/blazor-ai-migrator/blazor-ai-migrator/dcp-desktop-compatibility-library/api-documentation/blazor-dcp-gap.blazor.application-class-reference.md).

# Blazor DCP: Gap.Blazor.Application Class Reference

The Application All Applications of any Desktop Compatibility Platform should associate the Forms with the corresponding IApplication implementation. [More...](broken://pages/4TN2g68MwcP1jc4vAPVD)

| <h3 id="pub-methods">Public Member Functions</h3> |                                                                     |
| ------------------------------------------------- | ------------------------------------------------------------------- |
|                                                   | Application ()                                                      |
|                                                   | <p>Initializes a new instance of the Application class.<br></p>     |
|                                                   |                                                                     |
| void                                              | Dispose ()                                                          |
|                                                   |                                                                     |
| void                                              | [RemoveActiveForm](broken://pages/4TN2g68MwcP1jc4vAPVD) (Form form) |
|                                                   | <p>Removes the active form.<br></p>                                 |
|                                                   |                                                                     |

| <h3 id="pro-methods">Protected Member Functions</h3> |                                                                     |
| ---------------------------------------------------- | ------------------------------------------------------------------- |
| virtual void                                         | [Dispose](broken://pages/4TN2g68MwcP1jc4vAPVD) (bool disposing)     |
|                                                      | <p>Releases unmanaged and - optionally - managed resources.<br></p> |
|                                                      |                                                                     |

| <h3 id="properties">Properties</h3>                                                                                          |                                                                    |
| ---------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ |
| static Application                                                                                                           | [CurrentApplication](broken://pages/4TN2g68MwcP1jc4vAPVD) `[get]`  |
|                                                                                                                              | <p>Gets the current application.<br></p>                           |
|                                                                                                                              |                                                                    |
| [List](about:blank/namespace_gap_1_1_blazor.html#a74e98f0fe5c3a180cdea8302c940b1fda4ee29ca12c7d126654bd0e5275de6135)< Form > | [ActiveForms](broken://pages/4TN2g68MwcP1jc4vAPVD) `[get, set]`    |
|                                                                                                                              | <p>Gets or sets the active forms.<br></p>                          |
|                                                                                                                              |                                                                    |
| Form                                                                                                                         | [ActiveForm](broken://pages/4TN2g68MwcP1jc4vAPVD) `[get, set]`     |
|                                                                                                                              | <p>Gets or sets the active form.<br></p>                           |
|                                                                                                                              |                                                                    |
| EventHandler                                                                                                                 | [ItemHasChanged](broken://pages/4TN2g68MwcP1jc4vAPVD) `[get, set]` |
|                                                                                                                              | <p>Gets or sets the item has changed.<br></p>                      |
|                                                                                                                              |                                                                    |

The Application All Applications of any Desktop Compatibility Platform should associate the Forms with the corresponding IApplication implementation.

\<mapfrom>System.Windows.Forms.Application.\</mapfrom>

### [◆ ](broken://pages/4TN2g68MwcP1jc4vAPVD)Dispose()

| 4KFcezKBRMI6                                | protectedvirtual |      |             |   |   |
| ------------------------------------------- | ---------------- | ---- | ----------- | - | - |
| virtual void Gap.Blazor.Application.Dispose | (                | bool | *disposing* | ) |   |

| virtual void Gap.Blazor.Application.Dispose | ( | bool | *disposing* | ) |   |
| ------------------------------------------- | - | ---- | ----------- | - | - |

Releases unmanaged and - optionally - managed resources.

Parameters

| disposing | `true` to release both managed and unmanaged resources; `false` to release only unmanaged resources. |
| --------- | ---------------------------------------------------------------------------------------------------- |

### [◆ ](broken://pages/4TN2g68MwcP1jc4vAPVD)RemoveActiveForm()

| void Gap.Blazor.Application.RemoveActiveForm | ( | Form | *form* | ) |   |
| -------------------------------------------- | - | ---- | ------ | - | - |

Removes the active form.

Parameters

### [◆ ](broken://pages/4TN2g68MwcP1jc4vAPVD)ActiveForm

| Form Gap.Blazor.Application.ActiveForm | getset |
| -------------------------------------- | ------ |

Gets or sets the active form.

The active form.

### [◆ ](broken://pages/4TN2g68MwcP1jc4vAPVD)ActiveForms

| [List](about:blank/namespace_gap_1_1_blazor.html#a74e98f0fe5c3a180cdea8302c940b1fda4ee29ca12c7d126654bd0e5275de6135)\<Form> Gap.Blazor.Application.ActiveForms | getset |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------ |

Gets or sets the active forms.

The active forms.

### [◆ ](broken://pages/4TN2g68MwcP1jc4vAPVD)CurrentApplication

Gets the current application.

The current application.

### [◆ ](broken://pages/4TN2g68MwcP1jc4vAPVD)ItemHasChanged

| EventHandler Gap.Blazor.Application.ItemHasChanged | getset |
| -------------------------------------------------- | ------ |

Gets or sets the item has changed.

The item has changed.

***

The documentation for this class was generated from the following file:

* src/Gap.Blazor/Controls/Application.cs


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/blazor-ai-migrator/blazor-ai-migrator/dcp-desktop-compatibility-library/api-documentation/blazor-dcp-gap.blazor.application-class-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
